import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { Connect } from 'amos-framework';

const eventConnect = Connect.eventConnect;

/**
 * 规则消息接收层
 *
 * @class RulesLayer
 * @extends {Component}
 */
@eventConnect
class RulesLayer extends Component {

  componentDidMount() {
  }

  render() {
    return <div className="rules-layer" />;
  }
}

RulesLayer.propTypes = {
  subscribe: PropTypes.func
};

export default RulesLayer;
